Patch a resource
curl --request PATCH \
--url https://api.spacebring.com/resources/v1/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"resource": {
"avigilonAltaGroupRef": 123,
"bookingStepMinutes": 123,
"brivoGroupRef": 123,
"capacity": 123,
"dayPassesEnabled": true,
"description": "<string>",
"googleCalendar": {
"id": "<string>",
"twoWaySyncEnabled": true
},
"kisiGroupRef": 123,
"media": [
{
"key": "<string>"
}
],
"parentRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"saltoksAccessGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tapkeyGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
}
'import requests
url = "https://api.spacebring.com/resources/v1/{id}"
payload = { "resource": {
"avigilonAltaGroupRef": 123,
"bookingStepMinutes": 123,
"brivoGroupRef": 123,
"capacity": 123,
"dayPassesEnabled": True,
"description": "<string>",
"googleCalendar": {
"id": "<string>",
"twoWaySyncEnabled": True
},
"kisiGroupRef": 123,
"media": [{ "key": "<string>" }],
"parentRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"saltoksAccessGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tapkeyGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
} }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resource: {
avigilonAltaGroupRef: 123,
bookingStepMinutes: 123,
brivoGroupRef: 123,
capacity: 123,
dayPassesEnabled: true,
description: '<string>',
googleCalendar: {id: '<string>', twoWaySyncEnabled: true},
kisiGroupRef: 123,
media: [{key: '<string>'}],
parentRef: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
saltoksAccessGroupRef: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tapkeyGroupRef: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>'
}
})
};
fetch('https://api.spacebring.com/resources/v1/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"type": "<string>"
}Resources
Patch a resource
Patch a certain resource.
OAuth
Required scopes:resourcesPATCH
/
resources
/
v1
/
{id}
Patch a resource
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Path Parameters
The id of the resource.
Body
application/json
Resource fields to update.
Show child attributes
Show child attributes
Response
No Content
Was this page helpful?
⌘I